Package be.ehealth.businessconnector.mycarenet.memberdatav2.builders.impl

# Class ResponseObjectBuilderImpl

java.lang.Object
be.ehealth.businessconnector.mycarenet.memberdatav2.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  `ResponseObjectBuilder`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class ResponseObjectBuilderImpl extends Object implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation for the `ResponseObjectBuilder` interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseObjectBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `MemberDataBuilderResponse`
  `handleConsultationResponse(MemberDataConsultationResponse consultResponse)`
  Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `MemberDataBuilderResponse` object.
  `Map<String,SignatureVerificationResult>`
  `verifyAll(byte[] signedByteArray)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

- ## Method Details

  - ### handleConsultationResponse

    public MemberDataBuilderResponse handleConsultationResponse(MemberDataConsultationResponse consultResponse) throws TechnicalConnectorException
    Description copied from interface: `ResponseObjectBuilder`
    Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `MemberDataBuilderResponse` object.
    Specified by:
      `handleConsultationResponse` in interface `ResponseObjectBuilder`
    Parameters:
      `consultResponse` - the response sent by the WS
    Returns:
      a MemberDataBuilderResponse object who contains all info
    Throws:
      `TechnicalConnectorException` - the technical connector exception

  - ### verifyAll

    public Map<String,SignatureVerificationResult> verifyAll(byte[] signedByteArray) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`